> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Invoke an MCP tool

POST https://api.synthflow.ai/v2/workspaces/{workspace_id}/mcp-tools/invoke
Content-Type: application/json

Invokes a namespaced MCP tool on the appropriate server. This is a synchronous call that may take 8–15 seconds.

Reference: https://docs.synthflow.ai/api-reference/platform-api/mcp-servers/invoke-mcp-tool

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /workspaces/{workspace_id}/mcp-tools/invoke:
    post:
      operationId: invoke-mcp-tool
      summary: Invoke an MCP tool
      description: >-
        Invokes a namespaced MCP tool on the appropriate server. This is a
        synchronous call that may take 8–15 seconds.
      tags:
        - subpackage_mcp
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Tool invocation result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvokeMCPToolResponse'
        '400':
          description: Invalid request (missing fields, malformed tool name)
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Workspace not found or tool namespace not found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvokeMCPToolRequest'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
  - url: https://api.eu.synthflow.ai/v2
components:
  schemas:
    InvokeMCPToolRequest:
      type: object
      properties:
        namespaced_tool:
          type: string
          description: 'Fully qualified tool name: {namespace}__{tool_name}'
        arguments:
          type: object
          additionalProperties:
            description: Any type
          description: Tool arguments matching the tool's input_schema
        timeout_ms:
          type: integer
          description: Optional caller-controlled timeout in milliseconds
      required:
        - namespaced_tool
      title: InvokeMCPToolRequest
    InvokeMCPToolResponse:
      type: object
      properties:
        result:
          type: string
          description: Tool result text (empty on error)
        is_error:
          type: boolean
          description: True if the MCP server returned an error for this tool call
        error:
          type: string
          description: Error message if the invocation failed
      title: InvokeMCPToolResponse
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-tools/invoke"

payload = { "namespaced_tool": "github__create_issue" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-tools/invoke"

	payload := strings.NewReader("{\n  \"namespaced_tool\": \"github__create_issue\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-tools/invoke")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"namespaced_tool\": \"github__create_issue\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-tools/invoke")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"namespaced_tool\": \"github__create_issue\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-tools/invoke");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"namespaced_tool\": \"github__create_issue\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["namespaced_tool": "github__create_issue"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-tools/invoke")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```